package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-26 09:38
 *    desc   : 基础钱包usdt
 * </pre>
 */
public class BaseWxWalletUsdt<M extends BaseWxWalletUsdt<M>> extends TioModel<M> implements IBean {
    public void setId(java.lang.Integer id) {
        set("id", id);
    }

    public java.lang.Integer getId() {
        return getInt("id");
    }

    public void setUid(java.lang.Integer uid) {
        set("uid", uid);
    }

    public java.lang.Integer getUid() {
        return getInt("uid");
    }

    /**
     * usdt 地址
     */
    public void setAddress(java.lang.String address) {
        set("address", address);
    }

    /**
     * usdt 地址
     */
    public java.lang.String getAddress() {
        return getStr("address");
    }
}
